function bestvalue= Parameter_optimization(expa,Xtrain,Ytrain)
%this function is used to optimize the  gaussian parameters g and ridge r
%Xtrain is calibration set, Ytrain is corresponding property
global  Xtrain Ytrain;
a=10^expa(1); % center of the multivariate Gaussian fit functions
b=10^expa(2); % biased parameter 
ll=logical(zeros(length(Xtrain(:,1)),1));
k=length(Xtrain(:,1)); % cross validation indices;
yp=[];   
        for j = 1:k
           ll=logical(zeros(length(Xtrain(:,1)),1));
           ll(j)=1;
           [beta ] = Regression_coefficient(Xtrain(~ll,:),Ytrain(~ll,:),a,b);
           [Y_prediction] = Prediction_function(Xtrain(ll,:),Xtrain(~ll,:),beta,a);
           yp(j)=Y_prediction;
        end  % leave one out cross validation 
rmsecv=sqrt(sum((yp'-Ytrain).^2)/size(yp',1));    
bestvalue=rmsecv;

