function [beta] = Regression_coefficient(Xtrain,Ytrain,g_best,r_best)
   %g is the centers of the multivariate Gaussian fitting function;r is the biased parameter. 
   %beta is the Regression coefficient
   K = exp(-euclidean_dist(Xtrain,Xtrain)/g_best)+r_best*eye(size(Xtrain,1),size(Xtrain,1));
   beta=K\Ytrain;
   %beta=inv(K)*Ytrain;
end

