   clc
   clear global Xtrain Ytrain;
   load('corn.mat');
   X=m5spec.data;% sample data set
   Y=propvals.data(:,1);% property data set;
   [Xtrain,Ytrain,Xtest,Ytest,ind1,ind2,indrem] = duplex(X,Y,30); % divided into calibration set and prediction set (validation set)

   
   %Calibration
    
   global  Xtrain Ytrain;
   options = saoptimset('PlotFcns',{@saplotbestx,...
                @saplotbestf,@saplotx,@saplotf});
   options.StallIterLimit=100;
   options.TolFun=0.001;  
   options.TimeLimit=900000;
   [aa,bb]=simulannealbnd(@Parameter_optimization,[-5 -14],[-5 -14],[5 -4],options);
   % aa is the two optimation parameters of Guassian fitting model
   % bb is the optimal RMSECV, here is minimum RMSECV. 
   
   %Precdtion
   [beta] = Regression_coefficient(Xtrain, Ytrain,10^aa(1),10^aa(2));
   [Y_Prediction] = Prediction_function(Xtest,Xtrain,beta,10^aa(1));
   RMSEP=sqrt(sum((Y_Prediction-Ytest).^2)/size(Ytest,1))
    
    
    